### Method

# Json Node init_boolean

since: 0.16

#### Declaration [src]

    JsonNode*
    json_node_init_boolean (
      JsonNode* node,
      gboolean value
    )

#### Description [src]

Initializes `node` to `JSON_NODE_VALUE` and sets `value` into it.

If the node has already been initialized once, it will be reset to the given type, and any data contained will be cleared.

Available since: 0.16

#### Parameters

`value`

  Type: `gboolean`

  A boolean value.

#### Return value

Type: `JsonNode`

The initialized node.

The returned data is owned by the instance.